%define gstreamer_version	0.8.7
%define gstreamer_plugins_version	0.8.5

Summary: Movie player for GNOME 2
Name: totem
Version: 0.99.19
Release: 2.fdr.1
License: GPL
Group: Applications/Multimedia
URL: http://www.hadess.net/totem.php3
Source0: http://ftp.gnome.org/pub/GNOME/sources/totem/0.99/totem-%{version}.tar.bz2
Patch: totem.widget.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires(post): GConf2
Requires: gnome-desktop >= 2.6.0
Requires: gstreamer >= %gstreamer_version
Requires: gstreamer-plugins >= %gstreamer_plugins_version
BuildRequires: nautilus-cd-burner >= 2.8.1
BuildRequires: gcc-c++, pkgconfig, gettext, scrollkeeper
BuildRequires: gstreamer-devel >= %gstreamer_version
BuildRequires: gstreamer-plugins-devel >= %gstreamer_plugins_version
BuildRequires: gnome-desktop-devel >= 2.6.0, gnome-vfs2-devel, libglade2-devel
BuildRequires: perl-XML-Parser
BuildRequires: nautilus-cd-burner-devel >= 2.8.1


%description
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

%prep
%setup -q
%patch -p1

%build

%configure --enable-gstreamer --disable-lirc --disable-vanity --disable-mozilla --disable-nvtv

#apparently someone forgot to autogen before disting 0.99.17 :)
perl -pi -e 's/gstvideowidget.h//g' src/Makefile

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
%find_lang %{name}

# We want the nautilus-media properties page
rm -f $RPM_BUILD_ROOT%{_libexecdir}/%{name}-properties-page
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server
#nor the property pages
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas
rm -f $RPM_BUILD_ROOT%{_bindir}/%{name}-video-thumbnailer
#nor vanity
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/vanity.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/totem.schemas \
     >/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/mime-info/%{name}.keys
%{_datadir}/omf/%{name}/
%{_datadir}/pixmaps/media-player-48.png
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/vanity.*
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Oct 14 2004 Colin Walters <walters@redhat.com> - 0.99.19-1
- New upstream 0.99.19
  - Fixes crasher with CD playback (see NEWS)

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.99.18-2
- Call update-desktop-database in post

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.99.18-1
- update to 0.99.18

* Wed Oct  6 2004 Alexander Larsson <alexl@redhat.com> - 
- Initial version, based on specfile by Matthias Saou <http://freshrpms.net/>

